Bug 35799 - initrd only produced if lilo installed
initrd only produced if lilo installed
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-04-12 07:36 EDT by Helge Deller
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-07-08 18:09:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Helge Deller 2001-04-12 07:36:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.17-14 i686)

I use GRUB as my bootstrap loader. When I uncheck the lilo button, no
initrd is generated. This step should not be dependant on lilo, but on the
used hardware. An initrd is necessary for all loaders.

Reproducible: Always
Steps to Reproduce:
1.Install, but uncheck the lilo installation
Comment 1 Matt Wilson 2001-07-08 18:09:47 EDT
assigning to bootloader boy. ;)
Comment 2 Jeremy Katz 2001-07-09 19:45:43 EDT
The kernel package now generates an initrd if needed when it is installed.  With
this and the change to write out /etc/fstab prior to package install, an initrd
should always be produced if needed.

Note You need to log in before you can comment on or make changes to this bug.